%define prefix /usr

Summary: libol - support lib for syslog-ng
Name: libol
Version: 0.2.21
Release: 1
Copyright: GPL
Group: System Environment/Libraries
Source: http://www.balabit.hu/downloads/libol/0.2/%{name}-%{version}.tar.gz
URL: http://www.balabit.hu/downloads/lib-ol/
Packager: Seth Vidal <skvidal@phy.duke.edu>
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
support lib needed for syslog-ng

%package devel
Summary: libol headers, libraries
Group: Development/Libraries
Requires: %name = %{version}

%description devel
libol headers, libraries

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%changelog
* Sun Feb 25 2001 Seth Vidal <skvidal@phy.duke.edu>
- Rebuilt for 0.2.21
* Thu Feb 22 2001 Seth Vidal <skvidal@phy.duke.edu>
- Rebuilt for rh 7.0
- Cleaned up the .spec file some
* Mon Oct 2 2000 Seth Vidal <skvidal@phy.duke.edu>
- Repackage of 0.2.20
* Fri Jul 28 2000 Seth Vidal <skvidal@phy.duke.edu>
- Repackage of 0.2.17

%prep
%setup -q -n %{name}-%{version}

%build
if [ -x ./configure ]; then
  CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{prefix}
fi  
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/libol-config
/usr/lib/libol.so
/usr/lib/libol.so.0
/usr/lib/libol.so.0.0.0
%doc ChangeLog

%files devel
%defattr(-,root,root)
/usr/include/libol
/usr/lib/libol.a
/usr/lib/libol.la

